Package ru.bitel.bgbilling.kernel.contract.balance.server.bean

# Class PaymentTypeDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<PaymentType>
ru.bitel.common.dao.AbstractIdDao<PaymentType>
ru.bitel.common.dao.AbstractDirectoryIdDao<PaymentType>
ru.bitel.bgbilling.kernel.contract.balance.server.bean.PaymentTypeDao

All Implemented Interfaces:
  `AutoCloseable`, `Directory<PaymentType>`

public class PaymentTypeDao extends ru.bitel.common.dao.AbstractDirectoryIdDao<PaymentType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PaymentTypeDao(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `addChild(int up, PaymentTypeItem rootItem, List<PaymentType> list, boolean showEmptyRoot)`
  `int`
  `delete(int id)`
  Удаление элемента по id
  `PaymentType`
  `get(String title)`
  Получение элемента по title(name)
  Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
  `protected PaymentType`
  `getFromRS(ResultSet rs)`
  `PaymentTypeItem`
  `getTree(int editable, boolean showEmptyRoot)`
  `Map<Integer,PaymentType>`
  `getTypeMapByIds(List<Integer> typeIds)`
  `List<PaymentType>`
  `list()`
  Получение всего списка элементов из справочника
  `List<PaymentType>`
  `list(Integer editable, Integer type)`
  Вернет список типов приходов.
  `void`
  `move(int paymentTypeId, List<Integer> idList)`
  Перемещение
  `void`
  `update(PaymentType paymentType)`
  Изменение/добавление элемента справочника
  `protected void`
  `updateImpl(PaymentType b)`

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `executeUpdate, get, getAndDelete, getAndUpdate, opt`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, dropTemporaryTable, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, loadData, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, sqlLimit`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.bean.Directory

  `get, opt`

- ## Constructor Details

  - ### PaymentTypeDao

    public PaymentTypeDao(Connection con)

- ## Method Details

  - ### get

    public PaymentType get(String title) throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Получение элемента по title(name)
    Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
    Parameters:
      `title` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<PaymentType> list() throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Получение всего списка элементов из справочника
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<PaymentType> list(Integer editable, Integer type) throws ru.bitel.bgbilling.common.BGException
    Вернет список типов приходов.
    Parameters:
      `editable` - - 0 - редактируемые, 1 - не редактируемые, null или меньеше 0 - все.
      `type` - - 0 - элемент группы, 1 - группа, null или меньеше 0 - все.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTree

    public PaymentTypeItem getTree(int editable, boolean showEmptyRoot) throws ru.bitel.bgbilling.common.BGException
    Parameters:
      `editable` - 0 - редактируемые, 1 - не редактируемые, меньше 0 - все.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### move

    public void move(int paymentTypeId, List<Integer> idList) throws ru.bitel.bgbilling.common.BGException
    Перемещение
    Parameters:
      `paymentTypeId` - - ид типа в который станет предком.
      `idList` - - список ид которые будут перемещены.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### update

    public void update(PaymentType paymentType) throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Изменение/добавление элемента справочника
    Specified by:
      `update` in interface `Directory<PaymentType>`
    Overrides:
      `update` in class `ru.bitel.common.dao.AbstractDao<PaymentType>`
    Parameters:
      `paymentType` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl(PaymentType b) throws ru.bitel.bgbilling.common.BGException, SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<PaymentType>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### getFromRS

    protected PaymentType getFromRS(ResultSet rs) throws SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<PaymentType>`
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### delete

    public int delete(int id) throws Exception
    Description copied from interface: `Directory`
    Удаление элемента по id
    Specified by:
      `delete` in interface `Directory<PaymentType>`
    Overrides:
      `delete` in class `ru.bitel.common.dao.AbstractIdDao<PaymentType>`
    Parameters:
      `id` -
    Returns:
    Throws:
      `Exception`

  - ### getTypeMapByIds

    public Map<Integer,PaymentType> getTypeMapByIds(List<Integer> typeIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### addChild

    protected void addChild(int up, PaymentTypeItem rootItem, List<PaymentType> list, boolean showEmptyRoot)